PlanarMechanics
===============

A free Modelica library for planar mechanical multi-body systems


## Status

[![GitHub](https://img.shields.io/github/v/release/dzimmer/PlanarMechanics?sort=semver)](https://github.com/dzimmer/PlanarMechanics/releases/latest) 
[![GitHub](https://img.shields.io/github/license/dzimmer/planarmechanics)](LICENSE)

## Library description

The PlanarMechanics library is an open-source Modelica library for the modelling of planar mechanical multi-body systems. Its main components are:
- parts such as mass, rigid rods, fixation
- joints such as prismatic joints or revolute joints
- force elements such as spring and dampers
- sensors and sources
- components for vehicles: wheel models
- components for gearboxes
- many examples

## Current release

[PlanarMechanics Library 1.6.0 (2023-09-12)](../../releases/tag/v1.6.0)

## License

The library is released under the 3-Clause BSD license, see [LICENSE](LICENSE) and https://modelica.org/licenses/modelica-3-clause-bsd.

## Reference results
Reference results for regression testing can be found in [PlanarMechanics_ReferenceResults](https://github.com/DLR-SR/PlanarMechanics_ReferenceResults).

## Tool compatibility 
The [current release](#current-release) was developed/tested using following tools.

- [Dymola](https://www.3ds.com/products-services/catia/products/dymola/): The library has been developed using Dymola.
- [Open Modelica](https://www.openmodelica.org/): The library is fully compatible to Open Modelica.  
- [Modelon Impact](https://www.modelon.com/modelon-impact/): The library is reported to be fully compatible to Modelon Impact.

Your tool not listed here? Please prepare a corresponding pull request of this README.md containing your tool's name and version number.

## Development and contribution
The library was developed by the German Aerospace Center (DLR)
Contributors:
- Dr. Dirk Zimmer
- Franciscus van der Linden
- Zheng Qu

You may report any issues with using the [Issues](../../issues) button.

Contributions in shape of [Pull Requests](../../pulls) are always welcome.
